/*
 * RGBPixel.h
 *
 */

#ifndef RGBPIXEL_H_
#define RGBPIXEL_H_

// in C++ a struct is a class with default public access to its members...
struct RGBPixel {
	explicit RGBPixel(char r=0, char g=0, char b=0) : R(r), G(g), B(b) {};
	bool operator==(const RGBPixel& rh);
	bool operator!=(const RGBPixel& rh);	// TODO: implement

	char R;
	char G;
	char B;
};

#endif /* RGBPIXEL_H_ */
