/*
 * BitmapImage.cpp
 *
 */

#include "BitmapImage.h"

BitmapImage::BitmapImage(int w, int h) :
		width(w), height(h) {
	// TODO check that w and h are >0. Minimum image size is 1x1
	bitmap = new RGBPixel[width * height];
}

BitmapImage::~BitmapImage() {
	// TODO avoid memory leaks
}

// TODO implement a copy constructor
BitmapImage::BitmapImage(const BitmapImage& bm) {
}

void BitmapImage::setPixel(int x, int y, const RGBPixel& value) {
	if ((x >= 0) && (x < width) && (y >= 0) && (y < height))
		bitmap[x + y * width] = value;
}

RGBPixel BitmapImage::getPixel(int x, int y) const {
	// TODO: getting pixels outside of image return a RGBPixel with values (-1, -1, -1)
}

// TODO implement an equality operator
bool BitmapImage::operator==(const BitmapImage& rh) {
	return false;
}

// TODO implement an assignment operator
BitmapImage& BitmapImage::operator=(const BitmapImage& rh) {
	return *this;
}


